SLockMode (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Enum SLockMode

- java.lang.Object
- - java.lang.Enum<SLockMode>
  - - com.sleepycat.client.SLockMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SLockMode>

      public enum SLockMode
      extends java.lang.Enum<SLockMode>

  Locking modes for database operations. Locking modes are required parameters for operations that retrieve data or modify the database.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Acquire read locks for read operations and write locks for write operations.
    `READ_COMMITTED` Read committed isolation provides for cursor stability but not repeatable reads.
    `READ_UNCOMMITTED` Read modified but not yet committed data.
    `RMW` Acquire write locks instead of read locks when doing the retrieval.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SLockMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SLockMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final SLockMode DEFAULT

      Acquire read locks for read operations and write locks for write operations.

    - #### READ_COMMITTED

          public static final SLockMode READ_COMMITTED

      Read committed isolation provides for cursor stability but not repeatable reads.

    - #### READ_UNCOMMITTED

          public static final SLockMode READ_UNCOMMITTED

      Read modified but not yet committed data.

    - #### RMW

          public static final SLockMode RMW

      Acquire write locks instead of read locks when doing the retrieval.

  - ### Method Detail

    - #### values

          public static SLockMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SLockMode c : SLockMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SLockMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.